diff --git a/share/misc/pci_vendors b/share/misc/pci_vendors
index 57ac16b..baf4546 100644
--- a/share/misc/pci_vendors
+++ b/share/misc/pci_vendors
@@ -6663,6 +6836,7 @@
 	0426  G86 [GeForce 8400M GT]
 	0427  G86 [GeForce 8400M GS]
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 	0428  G86 [GeForce 8400M G]
 	0429  G86 [Quadro NVS 140M]
 		17aa 20d8  ThinkPad T61
@@ -6675,32 +6849,48 @@
 	0440  MCP65 LPC Bridge
 	0441  MCP65 LPC Bridge
 	0442  MCP65 LPC Bridge
+		103c 30cf  Pavilion dv9668eg Laptop
 	0443  MCP65 LPC Bridge
 	0444  MCP65 Memory Controller
+		103c 30cf  Pavilion dv9668eg Laptop
 	0445  MCP65 Memory Controller
 	0446  MCP65 SMBus
+		103c 30cf  Pavilion dv9668eg Laptop
 	0447  MCP65 SMU
+		103c 30cf  Pavilion dv9668eg Laptop
 	0448  MCP65 IDE
+		103c 30cf  Pavilion dv9668eg Laptop
 	0449  MCP65 PCI bridge
+		10de cb84  HP Pavilion dv9668eg Laptop
 	044a  MCP65 High Definition Audio
+		103c 30cf  Pavilion dv9668eg Laptop
 	044b  MCP65 High Definition Audio
 	044c  MCP65 AHCI Controller
 	044d  MCP65 AHCI Controller
 	044e  MCP65 AHCI Controller
 	044f  MCP65 AHCI Controller
 	0450  MCP65 Ethernet
+		103c 30cf  Pavilion dv9668eg Laptop
 	0451  MCP65 Ethernet
 	0452  MCP65 Ethernet
 	0453  MCP65 Ethernet
-	0454  MCP65 USB Controller
-	0455  MCP65 USB Controller
+	0454  MCP65 USB 1.1 OHCI Controller
+		103c 30cf  Pavilion dv9668eg Laptop
+	0455  MCP65 USB 2.0 EHCI Controller
+		103c 30cf  Pavilion dv9668eg Laptop
 	0456  MCP65 USB Controller
 	0457  MCP65 USB Controller
 	0458  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
 	0459  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
 	045a  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
+	045b  MCP65 PCI Express bridge
+		10de 0000  MCP65 PCI Express bridge
 	045c  MCP65 SATA Controller
 	045d  MCP65 SATA Controller
+		103c 30cf  Pavilion dv9668eg Laptop
 	045e  MCP65 SATA Controller
 	045f  MCP65 SATA Controller
 	0531  C67 [GeForce 7150M / nForce 630M]
@@ -7071,6 +7261,7 @@
 	0865  C79 [GeForce 9300]
 	0866  C79 [GeForce 9400M G]
 	0867  C79 [GeForce 9400]
+		106b 00ad  iMac 9,1
 	0868  C79 [nForce 760i SLI]
 	086a  C79 [GeForce 9400]
 	086c  C79 [GeForce 9300 / nForce 730i]
@@ -7139,30 +7330,42 @@
 	0a87  MCP79 Host Bridge
 	0a88  MCP79 Memory Controller
 	0a89  MCP79 Memory Controller
+	0a98  MCP79 Memory Controller
+		10de cb79  iMac 9,1
 	0aa0  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0aa2  MCP79 SMBus
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa3  MCP79 Co-processor
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa4  MCP79 Memory Controller
 		19da a123  IONITX-F-E
 	0aa5  MCP79 OHCI USB 1.1 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa6  MCP79 EHCI USB 2.0 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa7  MCP79 OHCI USB 1.1 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aa8  MCP79 OHCI USB 1.1 Controller
 	0aa9  MCP79 EHCI USB 2.0 Controller
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0aaa  MCP79 EHCI USB 2.0 Controller
 	0aab  MCP79 PCI Bridge
+		10de cb79  Apple iMac 9,1
 	0aac  MCP79 LPC Bridge
 	0aad  MCP79 LPC Bridge
 		19da a123  IONITX-F-E
 	0aae  MCP79 LPC Bridge
+		10de cb79  Apple iMac 9,1
 	0aaf  MCP79 LPC Bridge
 	0ab0  MCP79 Ethernet
+		10de cb79  Apple iMac 9,1
 		19da a123  IONITX-F-E
 	0ab1  MCP79 Ethernet
 	0ab2  MCP79 Ethernet
@@ -7174,6 +7377,7 @@
 	0ab7  MCP79 SATA Controller
 	0ab8  MCP79 AHCI Controller
 	0ab9  MCP79 AHCI Controller
+		10de cb79  Apple iMac 9,1
 	0aba  MCP79 AHCI Controller
 	0abb  MCP79 AHCI Controller
 	0abc  MCP79 RAID Controller
@@ -7181,13 +7385,17 @@
 	0abe  MCP79 RAID Controller
 	0abf  MCP79 RAID Controller
 	0ac0  MCP79 High Definition Audio
+		10de cb79  Apple iMac 9,1
 	0ac1  MCP79 High Definition Audio
 	0ac2  MCP79 High Definition Audio
 	0ac3  MCP79 High Definition Audio
 	0ac4  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0ac5  MCP79 PCI Express Bridge
 	0ac6  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0ac7  MCP79 PCI Express Bridge
+		10de cb79  Apple iMac 9,1
 	0ac8  MCP79 PCI Express Bridge
 	0ad0  MCP78S [GeForce 8200] SATA Controller (non-AHCI mode)
 		1462 7508  K9N2GM-FIH
@@ -7206,6 +7414,7 @@
 	0be5  GF100 High Definition Audio Controller
 	0be9  GF106 High Definition Audio Controller
 		1558 8687  CLEVO/KAPOK W860CU
+		3842 1452  GeForce GTS 450
 	0bea  GF108 High Definition Audio Controller
 		3842 1430  GeForce GT 430
 	0beb  GF104 High Definition Audio Controller
@@ -7272,6 +7481,7 @@
 	0dee  GF108 [GeForce GT 415M]
 	0def  GF108 [Quadro NVS 5400M]
 	0df0  GF108 [GeForce GT 425M]
+	0df1  GF108 [GeForce GT 420M]
 	0df2  GF108 [GeForce GT 435M]
 	0df4  GF108 [GeForce GT 540M]
 	0df5  GF108 [GeForce GT 540M]
@@ -7283,6 +7493,8 @@
 # NVIDIA calls it GLM
 	0dfa  GF108GLM [Quadro 1000M]
 	0e08  GF119 HDMI Audio Controller
+# 1024MB with passive cooling (heatsink)
+		10b0 104a  Gainward GeForce GT 610
 	0e09  GF110 High Definition Audio Controller
 	0e0a  GK104 HDMI Audio Controller
 	0e0c  GF114 HDMI Audio Controller
@@ -7308,12 +7520,17 @@
 	0fd1  GK107 [GeForce GT 650M]
 		1043 2103  N56VZ
 	0fd2  GK107 [GeForce GT 640M]
-	0ff2  GK107 [VGX K1]
+# Device renamed.
+	0ff2  GK107 [GRID K1]
 	0ffa  GK107 [Quadro K600]
 	0ffb  GK107 [Quadro K2000M]
 	0ffc  GK107 [Quadro K1000M]
+	0ffd  GK107 [NVS 510]
 	0ffe  GK107 [Quadro K2000]
 	0fff  GK107 [Quadro 410]
+	1021  GK110 [Tesla K20Xm]
+	1022  GK107 [Tesla K20c]
+	1028  GK110 [Tesla K20m]
 	1040  GF119 [GeForce GT 520]
 # taken from nv_disp.inf
 	1042  GF119 [GeForce 510]
@@ -7323,6 +7540,8 @@
 	1049  GF119 [GeForce GT 620]
 # taken from nv_disp.inf
 	104a  GF119 [GeForce GT 610]
+# 1024MB with passive cooling (heatsink)
+		10b0 104a  Gainward GeForce GT 610
 	1050  GF119 [GeForce GT 520M]
 	1051  GF119 [GeForce GT 520MX]
 	1055  GF119 [GeForce 410M]
@@ -7360,7 +7579,8 @@
 	11bc  GK104 [Quadro K5000M]
 	11bd  GK104 [Quadro K4000M]
 	11be  GK104 [Quadro K3000M]
-	11bf  GK104GL [VGX K2]
+# Device renamed.
+	11bf  GK104GL [GRID K2]
 	11fa  GK104 [Quadro K4000]
 	1200  GF114 [GeForce GTX 560 Ti]
 	1201  GF114 [GeForce GTX 560]
@@ -7522,21 +7742,10 @@
 	8111  Twist3 Frame Grabber
 10ec  Realtek Semiconductor Co., Ltd.
 	0139  Zonet Zen3200
-	0260  Realtek 260 High Definition Audio
-	0261  Realtek 261 High Definition Audio
-	0262  Realtek 262 High Definition Audio
-	0269  Realtek ALC269 High Definition Audio (82801G)
-	0280  Realtek 280 High Definition Audio
-	0660  Realtek 660 High Definition Audio
-	0662  Realtek 662 High Definition Audio
-	0861  Realtek 861 High Definition Audio
-	0862  Realtek 862 High Definition Audio
 	0880  Realtek 880 High Definition Audio
 	0883  Realtek 883 High Definition Audio
-		1025 1605  TravelMate 5600 series
 	0885  Realtek 885 High Definition Audio
 	0888  Realtek 888 High Definition Audio
-		1028 020d  Inspiron 530
 	0892  Realtek 892 High Definition Audio
 	5209  RTS5209 PCI Express Card Reader
 	5229  RTS5229 PCI Express Card Reader
@@ -7609,8 +7818,8 @@
 		1458 e000  GA-MA69G-S3H Motherboard
 		1462 235c  P965 Neo MS-7235 mainboard
 		1462 236c  945P Neo3-F motherboard
-	8168  RTL8111/8168B PCI Express Gigabit Ethernet controller
-		1019 8168  MCP73PVT-SM
+	8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
+		1019 8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
 		103c 1611  Pavilion DM1Z-3000
@@ -7620,14 +7829,16 @@
 		1043 82c6  M3A78-EH Motherboard
 		1043 83a3  M4A785TD Motherboard
 		1043 8432  P8P67 and other motherboards
-		10ec 8168  TEG-ECTX Gigabit PCI-E Adapter [Trendnet]
-		1458 e000  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
+		1043 8505  P8H77-I Motherboard
+		105b 0d7c  D270S/D250S Motherboard
+		10ec 8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
+		1458 e000  Motherboard
 		1462 238c  Onboard RTL8111b on MSI P965 Platinum Mainboard
 		1462 368c  K9AG Neo2
 		1462 7522  X58 Pro-E
 		1775 11cc  CC11/CL11
 		1849 8168  Motherboard (one of many)
-		8086 d615  Desktop Board D510MO
+		8086 d615  Desktop Board D510MO/D525MW
 	8169  RTL8169 PCI Gigabit Ethernet Controller
 		1025 0079  Aspire 5024WLMi
 		10bd 3202  EP-320G-TX1 32-bit PCI Gigabit Ethernet Adapter
@@ -7894,9 +8105,6 @@
 	0364  CN896/VN896/P4M900 Host Bridge
 		1043 81ce  P5VD2-VM mothervoard
 	0391  VT8371 [KX133]
-	0397  VT1708S HD Audio
-		1043 836c  P7H55
-		1043 83c7  P5KPL-AM EPU
 	0409  VX855/VX875 Host Bridge: Host Control
 	0410  VX900 Host Bridge: Host Control
 	0415  VT6415 PATA IDE Host Controller
@@ -7922,7 +8130,8 @@
 		1462 7120  KT4AV motherboard
 		1462 7181  K8MM3-V mainboard
 		147b 1407  KV8-MAX3 motherboard
-		1849 0571  K7VT2/K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 0571  K7VT series Motherboards
 	0576  VT82C576 3V [Apollo Master]
 	0581  CX700/VX700 RAID Controller
 # Upgrade bios to get correct ID: 5324 instead of 0581
@@ -8034,7 +8243,8 @@
 		1462 7181  K8MM3-V mainboard
 		147b 1407  KV8-MAX3 motherboard
 		182d 201d  CN-029 USB2.0 4 port PCI Card
-		1849 3038  K7VT6
+# probably all K7VT2/4*/6
+		1849 3038  K7VT series Motherboards
 		19da a179  ZBOX nano VD01
 	3040  VT82C586B ACPI
 	3043  VT86C100A [Rhine]
@@ -8047,7 +8257,7 @@
 		103c 2a20  Pavilion t3030.de Desktop PC
 		103c 2a3b  Media Center PC m7590n
 		1043 808a  A8V/A8N/P4P800 series motherboard
-		1043 81fe  M4A series motherboard
+		1043 81fe  Motherboard
 		1458 1000  GA-7VT600-1394 Motherboard
 		1462 207d  K8NGM2 series motherboard
 		1462 217d  Aspire L250
@@ -8104,7 +8314,8 @@
 		1695 300c  EP-8KRA2+ Mainboard
 		1849 0850  ASRock 775Dual-880 Pro onboard audio (Realtek ALC850)
 		1849 9739  P4VT8 Mainboard (C-Media CMI9739A codec)
-		1849 9761  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 9761  K7VT series Motherboards
 		4005 4710  MSI K7T266 Pro2-RU (MSI-6380 v2) onboard audio (Realtek/ALC 200/200P)
 		a0a0 01b6  AK77-8XN onboard audio
 		a0a0 0342  AK86-L motherboard
@@ -8120,7 +8331,8 @@
 		147b 1c09  NV7 Motherboard
 		1695 3005  VT6103
 		1695 300c  Realtek ALC655 sound chip
-		1849 3065  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 3065  K7VT series Motherboards
 # This hosts more than just the Intel 537 codec, it also hosts PCtel (SIL33) and SmartLink (SIL34) codecs
 	3068  AC'97 Modem Controller
 		1462 309e  MS-6309 Saturn Motherboard
@@ -8148,7 +8360,8 @@
 		1462 7181  K8MM3-V mainboard
 		147b 1407  KV8-MAX3 motherboard
 		182d 201d  CN-029 USB 2.0 4 port PCI Card
-		1849 3104  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 3104  K7VT series Motherboards
 		19da a179  ZBOX nano VD01
 	3106  VT6105/VT6106S [Rhine-III]
 		1106 0105  VT6106S [Rhine-III]
@@ -8196,7 +8409,8 @@
 		1106 0000  KT4AV motherboard
 		1297 f641  FX41 motherboard
 		1458 5001  GA-7VAX Mainboard
-		1849 3177  K7VT2 motherboard
+# probably all K7VT2/4*/6
+		1849 3177  K7VT series Motherboards
 	3178  ProSavageDDR P4N333 Host Bridge
 	3188  VT8385 [K8T800 AGP] Host Bridge
 		1043 80a3  K8V Deluxe/K8V-X motherboard
@@ -8205,7 +8419,8 @@
 		1043 807f  A7V8X motherboard
 		1106 0000  KT4AV motherboard (KT400A)
 		1458 5000  GA-7VAX Mainboard
-		1849 3189  K7VT6 motherboard
+# probably all K7VT2/4*/6
+		1849 3189  K7VT series Motherboards
 	3204  K8M800 Host Bridge
 	3205  VT8378 [KM400/A] Chipset Host Bridge
 		1458 5000  GA-7VM400M Motherboard
@@ -8277,11 +8492,9 @@
 	4351  VT3351 Host Bridge
 	4353  VX800/VX820 Power Management Control
 	4364  CN896/VN896/P4M900 Host Bridge
-	4397  VT1708B/1702S/1708S HD audio codec
 	4409  VX855/VX875 Power Management Control
 	4410  VX900 Power Management and Chip Testing Control
 		19da a179  ZBOX nano VD01
-	4428  VT1718S HD Audio Codec
 	5030  VT82C596 ACPI [Apollo PRO]
 	5122  VX855/VX875 Chrome 9 HCM Integrated Graphics
 	5208  PT890 I/O APIC Interrupt Controller
@@ -8398,7 +8611,6 @@
 	e238  K8T890 PCI to PCI Bridge Controller
 	e340  PT900 PCI to PCI Bridge Controller
 	e353  VX800/VX820 PCI Express Root Port
-	e721  VT1708B 8-channel High Definition Audio CODEC
 	f208  PT890 PCI to PCI Bridge Controller
 	f238  K8T890 PCI to PCI Bridge Controller
 	f340  PT900 PCI to PCI Bridge Controller
@@ -8433,6 +8645,7 @@
 	3142  SIMATIC NET CP 5613A1 (Profibus Adapter)
 	4021  SIMATIC NET CP 5512 (Profibus and MPI Cardbus Adapter)
 	4029  SIMATIC NET CP 5613A2 (Profibus Adapter)
+	4035  SIMATIC NET CP 1613 A2
 	4942  FPGA I-Bus Tracer for MBD
 	6120  SZB6120
 110b  Chromatic Research Inc.
@@ -8580,7 +8793,7 @@
 111b  Teledyne Electronic Systems
 111c  Tricord Systems Inc.
 	0001  Powerbis Bridge
-111d  Integrated Device Technology, Inc.
+111d  Integrated Device Technology, Inc. [IDT]
 	0001  IDT77201/77211 155Mbps ATM SAR Controller [NICStAR]
 	0003  IDT77222/77252 155Mbps ATM MICRO ABR SAR Controller
 	0004  IDT77V252 155Mbps ATM MICRO ABR SAR Controller
@@ -8803,6 +9016,7 @@
 		1894 a006  KNC One TV-Station DVR
 		1894 fe01  KNC One TV-Station RDS / Typhoon TV Tuner RDS
 		5168 0138  FLY TV PRIME 34FM
+		5168 0300  FlyDVB-S
 		5ace 5070  Behold TV 507 FM
 		5ace 6070  Behold TV 607 FM
 		5ace 6071  Behold TV 607 FM
@@ -9443,6 +9657,7 @@
 		1028 014f  Latitude X300 laptop
 		1028 0188  Inspiron 6000 laptop
 		1043 1237  A6J-Q008
+		1043 1757  M2400N laptop
 		144d c005  X10 Laptop
 		144d c00c  P30/P35 notebook
 		17aa 201e  ThinkPad X60s
@@ -9456,6 +9671,7 @@
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 		1043 1237  A6J-Q008
 		1043 1967  V6800V
 		144d c018  X20 IV
@@ -9473,12 +9689,14 @@
 		103c 30b7  Presario V6133CL
 		103c 30c1  Compaq 6910p
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 		1043 1237  A6J-Q008
 		1043 1967  ASUS V6800V
 		10f7 8338  Panasonic CF-Y5 laptop
 		144d c018  X20 IV
 		17aa 201d  ThinkPad X60s
 		17aa 20c7  ThinkPad T61
+		17aa 20c8  ThinkPad W500
 	0832  R5C832 IEEE 1394 Controller
 		1025 0121  Aspire 5920G
 		1028 01d7  XPS M1210
@@ -9487,6 +9705,7 @@
 		103c 30b7  Presario V6133CL
 		103c 30c1  Compaq 6910p
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 	0841  R5C841 CardBus/SD/SDIO/MMC/MS/MSPro/xD/IEEE1394
 	0843  R5C843 MMC Host Controller
 		1025 0121  Aspire 5920G
@@ -9503,6 +9722,7 @@
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		103c 30cc  Pavilion dv6700
+		103c 30cf  Pavilion dv9668eg Laptop
 		1043 1967  V6800V
 		1180 0852  Pavilion 2410us
 		1324 10cf  P7120
@@ -9814,6 +10034,7 @@
 		a0a0 0506  Marvell 88E8053 Gigabit Ethernet Controller (Aopen)
 	4363  88E8055 PCI-E Gigabit Ethernet Controller
 	4364  88E8056 PCI-E Gigabit Ethernet Controller
+		1043 81f8  Motherboard
 		11ba 00ba  8056 Gigabit Ethernet Controller
 	4365  88E8070 based Ethernet Controller
 	4366  88EC036 PCI-E Gigabit Ethernet Controller
@@ -9844,6 +10065,7 @@
 	6042  88SX6042 PCI-X 4-Port SATA-II
 	6081  MV88SX6081 8-port SATA II PCI-X Controller
 	6101  88SE6101/6102 single-port PATA133 interface
+		1043 82e0  P5K PRO Motherboard
 	6111  88SE6111 1-port PATA133(IDE) and 1-port SATA II Controllers
 	6121  88SE6121 SATA II / PATA Controller
 	6141  88SE614x SATA II PCI-E controller
@@ -10025,9 +10247,7 @@
 # InPorte Home Internal 56k Modem/fax/answering machine/SMS Features
 	048f  V.92 56k WinModem
 	0620  Lucent V.92 Data/Fax Modem
-	1040  HDA softmodem
 	2600  StarPro26XX family (SP2601, SP2603, SP2612) DSP
-	3026  HDA Modem
 	5400  OR3TP12 FPSC
 	5656  Venus Modem
 	5801  USB
@@ -10089,19 +10309,8 @@
 11d2  Intercom Inc.
 11d3  Trancell Systems Inc
 11d4  Analog Devices
-	0078  AD1986HD sound chip
 	1535  Blackfin BF535 processor
 	1805  SM56 PCI modem
-	1889  AD1889 sound chip
-	194a  AD1984A sound chip
-	1981  AD1981HD sound chip
-	1983  AD1983HD sound chip
-	1984  AD1984HD sound chip
-		17aa 20bb  T61p Notebook
-	1986  AD1986A sound chip
-		11d4 1986  Lenovo N100 B9G
-	198b  AD1988B Sound Chip
-	5340  AD1881 sound chip
 11d5  Ikon Corporation
 	0115  10115
 	0117  10117
@@ -10270,6 +10479,7 @@
 		1179 ff50  Satellite P305D-S8995E
 	10f7  1394 OHCI Compliant Host Controller
 	11f7  OZ600 1394a-2000 Controller
+		1028 04a3  Precision M4600
 	13f7  1394 OHCI Compliant Host Controller
 	6729  OZ6729
 	673a  OZ6730
@@ -10308,7 +10518,11 @@
 	7233  OZ711MP3/MS3 4-in-1 MemoryCardBus Controller
 	8120  Integrated MMC/SD Controller
 	8130  Integrated MS/MSPRO/xD Controller
+	8320  OZ600 MMC/SD Controller
+		1028 04a3  Precision M4600
 	8321  Integrated MMC/SD controller
+	8330  OZ600 MS/xD Controller
+		1028 04a3  Precision M4600
 	8331  O2 Flash Memory Card
 1218  Hybricon Corp.
 1219  First Virtual Corporation
@@ -10500,7 +10714,8 @@
 	5201  PCI-2000
 1257  Vertex Networks, Inc.
 1258  Gilbarco, Inc.
-1259  Allied Telesyn International
+# nee Allied Telesyn International
+1259  Allied Telesis
 	2560  AT-2560 Fast Ethernet Adapter (i82557B)
 	2801  AT-2801FX (RTL-8139)
 	a117  RTL81xx Fast Ethernet
@@ -10540,6 +10755,7 @@
 		125d 1989  ESS Modem
 	1998  ES1983S Maestro-3i PCI Audio Accelerator
 		1028 00b1  Latitude C600
+		1028 00e5  Latitude C810
 		1028 00e6  ES1983S Maestro-3i (Dell Inspiron 8100)
 	1999  ES1983S Maestro-3i PCI Modem Accelerator
 	199a  ES1983S Maestro-3i PCI Audio Accelerator
@@ -11894,7 +12110,6 @@
 		7284 9781  CLARO halo
 		7284 9783  eCLARO
 		7284 9787  CLARO II
-	9880  CM9880
 13f7  Wildfire Communications
 13f8  Ad Lib Multimedia Inc
 13f9  NTT Advanced Technology Corp.
@@ -12183,6 +12398,15 @@
 	400c  B404-BT Unified Wire Ethernet Controller
 	400d  T480 Unified Wire Ethernet Controller
 	400e  T440-LP-CR Unified Wire Ethernet Controller
+	400f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4080  T480-4080 T480 Unified Wire Ethernet Controller
+	4081  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4082  T420-4082  Unified Wire Ethernet Controller
+	4083  T420X-4083 Unified Wire Ethernet Controller
+	4084  T420-4084 Unified Wire Ethernet Controller
+	4085  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4086  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4087  T440T-4087 Unified Wire Ethernet Controller
 	4401  T420-CR Unified Wire Ethernet Controller
 	4402  T422-CR Unified Wire Ethernet Controller
 	4403  T440-CR Unified Wire Ethernet Controller
@@ -12197,6 +12421,15 @@
 	440c  B404-BT Unified Wire Ethernet Controller
 	440d  T480 Unified Wire Ethernet Controller
 	440e  T440-LP-CR Unified Wire Ethernet Controller
+	440f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4480  T480-4080 T480 Unified Wire Ethernet Controller
+	4481  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4482  T420-4082  Unified Wire Ethernet Controller
+	4483  T420X-4083 Unified Wire Ethernet Controller
+	4484  T420-4084 Unified Wire Ethernet Controller
+	4485  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4486  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4487  T440T-4087 Unified Wire Ethernet Controller
 	4501  T420-CR Unified Wire Storage Controller
 	4502  T422-CR Unified Wire Storage Controller
 	4503  T440-CR Unified Wire Storage Controller
@@ -12207,10 +12440,19 @@
 	4508  T420-CX Unified Wire Storage Controller
 	4509  T420-BT Unified Wire Storage Controller
 	450a  T404-BT Unified Wire Storage Controller
-	450b  B420-SR Unified Wire Ethernet Controller
-	450c  B404-BT Unified Wire Ethernet Controller
+	450b  B420-SR Unified Wire Storage Controller
+	450c  B404-BT Unified Wire Storage Controller
 	450d  T480 Unified Wire Storage Controller
 	450e  T440-LP-CR Unified Wire Storage Controller
+	450f  T440 [Amsterdam] Unified Wire Storage Controller
+	4580  T480-4080 T480 Unified Wire Storage Controller
+	4581  T440F-4081 T440-FCoE Unified Wire Storage Controller
+	4582  T420-4082  Unified Wire Storage Controller
+	4583  T420X-4083 Unified Wire Storage Controller
+	4584  T420-4084 Unified Wire Storage Controller
+	4585  T420-4085 SFP+ Unified Wire Storage Controller
+	4586  T440-4086 10Gbase-T Unified Wire Storage Controller
+	4587  T440T-4087 Unified Wire Storage Controller
 	4601  T420-CR Unified Wire Storage Controller
 	4602  T422-CR Unified Wire Storage Controller
 	4603  T440-CR Unified Wire Storage Controller
@@ -12221,10 +12463,19 @@
 	4608  T420-CX Unified Wire Storage Controller
 	4609  T420-BT Unified Wire Storage Controller
 	460a  T404-BT Unified Wire Storage Controller
-	460b  B420-SR Unified Wire Ethernet Controller
-	460c  B404-BT Unified Wire Ethernet Controller
+	460b  B420-SR Unified Wire Storage Controller
+	460c  B404-BT Unified Wire Storage Controller
 	460d  T480 Unified Wire Storage Controller
 	460e  T440-LP-CR Unified Wire Storage Controller
+	460f  T440 [Amsterdam] Unified Wire Storage Controller
+	4680  T480-4080 T480 Unified Wire Storage Controller
+	4681  T440F-4081 T440-FCoE Unified Wire Storage Controller
+	4682  T420-4082  Unified Wire Storage Controller
+	4683  T420X-4083 Unified Wire Storage Controller
+	4684  T420-4084 Unified Wire Storage Controller
+	4685  T420-4085 SFP+ Unified Wire Storage Controller
+	4686  T440-4086 10Gbase-T Unified Wire Storage Controller
+	4687  T440T-4087 Unified Wire Storage Controller
 	4701  T420-CR Unified Wire Ethernet Controller
 	4702  T422-CR Unified Wire Ethernet Controller
 	4703  T440-CR Unified Wire Ethernet Controller
@@ -12239,6 +12490,15 @@
 	470c  B404-BT Unified Wire Ethernet Controller
 	470d  T480 Unified Wire Ethernet Controller
 	470e  T440-LP-CR Unified Wire Ethernet Controller
+	470f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4780  T480-4080 T480 Unified Wire Ethernet Controller
+	4781  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4782  T420-4082  Unified Wire Ethernet Controller
+	4783  T420X-4083 Unified Wire Ethernet Controller
+	4784  T420-4084 Unified Wire Ethernet Controller
+	4785  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4786  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4787  T440T-4087 Unified Wire Ethernet Controller
 	4801  T420-CR Unified Wire Ethernet Controller
 	4802  T422-CR Unified Wire Ethernet Controller
 	4803  T440-CR Unified Wire Ethernet Controller
@@ -12253,6 +12513,129 @@
 	480c  B404-BT Unified Wire Ethernet Controller
 	480d  T480 Unified Wire Ethernet Controller
 	480e  T440-LP-CR Unified Wire Ethernet Controller
+	480f  T440 [Amsterdam] Unified Wire Ethernet Controller
+	4880  T480-4080 T480 Unified Wire Ethernet Controller
+	4881  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
+	4882  T420-4082  Unified Wire Ethernet Controller
+	4883  T420X-4083 Unified Wire Ethernet Controller
+	4884  T420-4084 Unified Wire Ethernet Controller
+	4885  T420-4085 SFP+ Unified Wire Ethernet Controller
+	4886  T440-4086 10Gbase-T Unified Wire Ethernet Controller
+	4887  T440T-4087 Unified Wire Ethernet Controller
+	5001  T520-CR Unified Wire Ethernet Controller
+	5002  T522-CR Unified Wire Ethernet Controller
+	5003  T540-CR Unified Wire Ethernet Controller
+	5004  T520-BCH Unified Wire Ethernet Controller
+	5005  T540-BCH Unified Wire Ethernet Controller
+	5006  T540-CH Unified Wire Ethernet Controller
+	5007  T520-SO Unified Wire Ethernet Controller
+	5008  T520-CX Unified Wire Ethernet Controller
+	5009  T520-BT Unified Wire Ethernet Controller
+	500a  T504-BT Unified Wire Ethernet Controller
+	500b  B520-SR Unified Wire Ethernet Controller
+	500c  B504-BT Unified Wire Ethernet Controller
+	500d  T580-CR Unified Wire Ethernet Controller
+	500e  T540-LP-CR Unified Wire Ethernet Controller
+	500f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5010  T580-LP-CR Unified Wire Ethernet Controller
+	5011  T520-LL-CR Unified Wire Ethernet Controller
+	5012  T560-CR Unified Wire Ethernet Controller
+	5013  T580-CR Unified Wire Ethernet Controller
+	5401  T520-CR Unified Wire Ethernet Controller
+	5402  T522-CR Unified Wire Ethernet Controller
+	5403  T540-CR Unified Wire Ethernet Controller
+	5404  T520-BCH Unified Wire Ethernet Controller
+	5405  T540-BCH Unified Wire Ethernet Controller
+	5406  T540-CH Unified Wire Ethernet Controller
+	5407  T520-SO Unified Wire Ethernet Controller
+	5408  T520-CX Unified Wire Ethernet Controller
+	5409  T520-BT Unified Wire Ethernet Controller
+	540a  T504-BT Unified Wire Ethernet Controller
+	540b  B520-SR Unified Wire Ethernet Controller
+	540c  B504-BT Unified Wire Ethernet Controller
+	540d  T580-CR Unified Wire Ethernet Controller
+	540e  T540-LP-CR Unified Wire Ethernet Controller
+	540f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5410  T580-LP-CR Unified Wire Ethernet Controller
+	5411  T520-LL-CR Unified Wire Ethernet Controller
+	5412  T560-CR Unified Wire Ethernet Controller
+	5413  T580-CR Unified Wire Ethernet Controller
+	5501  T520-CR Unified Wire Storage Controller
+	5502  T522-CR Unified Wire Storage Controller
+	5503  T540-CR Unified Wire Storage Controller
+	5504  T520-BCH Unified Wire Storage Controller
+	5505  T540-BCH Unified Wire Storage Controller
+	5506  T540-CH Unified Wire Storage Controller
+	5507  T520-SO Unified Wire Storage Controller
+	5508  T520-CX Unified Wire Storage Controller
+	5509  T520-BT Unified Wire Storage Controller
+	550a  T504-BT Unified Wire Storage Controller
+	550b  B520-SR Unified Wire Storage Controller
+	550c  B504-BT Unified Wire Storage Controller
+	550d  T580-CR Unified Wire Storage Controller
+	550e  T540-LP-CR Unified Wire Storage Controller
+	550f  T540 [Amsterdam] Unified Wire Storage Controller
+	5510  T580-LP-CR Unified Wire Storage Controller
+	5511  T520-LL-CR Unified Wire Storage Controller
+	5512  T560-CR Unified Wire Storage Controller
+	5513  T580-CR Unified Wire Storage Controller
+	5601  T520-CR Unified Wire Storage Controller
+	5602  T522-CR Unified Wire Storage Controller
+	5603  T540-CR Unified Wire Storage Controller
+	5604  T520-BCH Unified Wire Storage Controller
+	5605  T540-BCH Unified Wire Storage Controller
+	5606  T540-CH Unified Wire Storage Controller
+	5607  T520-SO Unified Wire Storage Controller
+	5608  T520-CX Unified Wire Storage Controller
+	5609  T520-BT Unified Wire Storage Controller
+	560a  T504-BT Unified Wire Storage Controller
+	560b  B520-SR Unified Wire Storage Controller
+	560c  B504-BT Unified Wire Storage Controller
+	560d  T580-CR Unified Wire Storage Controller
+	560e  T540-LP-CR Unified Wire Storage Controller
+	560f  T540 [Amsterdam] Unified Wire Storage Controller
+	5610  T580-LP-CR Unified Wire Storage Controller
+	5611  T520-LL-CR Unified Wire Storage Controller
+	5612  T560-CR Unified Wire Storage Controller
+	5613  T580-CR Unified Wire Storage Controller
+	5701  T520-CR Unified Wire Ethernet Controller
+	5702  T522-CR Unified Wire Ethernet Controller
+	5703  T540-CR Unified Wire Ethernet Controller
+	5704  T520-BCH Unified Wire Ethernet Controller
+	5705  T540-BCH Unified Wire Ethernet Controller
+	5706  T540-CH Unified Wire Ethernet Controller
+	5707  T520-SO Unified Wire Ethernet Controller
+	5708  T520-CX Unified Wire Ethernet Controller
+	5709  T520-BT Unified Wire Ethernet Controller
+	570a  T504-BT Unified Wire Ethernet Controller
+	570b  B520-SR Unified Wire Ethernet Controller
+	570c  B504-BT Unified Wire Ethernet Controller
+	570d  T580-CR Unified Wire Ethernet Controller
+	570e  T540-LP-CR Unified Wire Ethernet Controller
+	570f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5710  T580-LP-CR Unified Wire Ethernet Controller
+	5711  T520-LL-CR Unified Wire Ethernet Controller
+	5712  T560-CR Unified Wire Ethernet Controller
+	5713  T580-CR Unified Wire Ethernet Controller
+	5801  T520-CR Unified Wire Ethernet Controller
+	5802  T522-CR Unified Wire Ethernet Controller
+	5803  T540-CR Unified Wire Ethernet Controller
+	5804  T520-BCH Unified Wire Ethernet Controller
+	5805  T540-BCH Unified Wire Ethernet Controller
+	5806  T540-CH Unified Wire Ethernet Controller
+	5807  T520-SO Unified Wire Ethernet Controller
+	5808  T520-CX Unified Wire Ethernet Controller
+	5809  T520-BT Unified Wire Ethernet Controller
+	580a  T504-BT Unified Wire Ethernet Controller
+	580b  B520-SR Unified Wire Ethernet Controller
+	580c  B504-BT Unified Wire Ethernet Controller
+	580d  T580-CR Unified Wire Ethernet Controller
+	580e  T540-LP-CR Unified Wire Ethernet Controller
+	580f  T540 [Amsterdam] Unified Wire Ethernet Controller
+	5810  T580-LP-CR Unified Wire Ethernet Controller
+	5811  T520-LL-CR Unified Wire Ethernet Controller
+	5812  T560-CR Unified Wire Ethernet Controller
+	5813  T580-CR Unified Wire Ethernet Controller
 	a000  PE10K Unified Wire Ethernet Controller
 1426  Storage Technology Corp.
 1427  Better On-Line Solutions
@@ -12350,25 +12733,6 @@
 	e836  M115S Hybrid Analog/DVB PAL/SECAM/NTSC Tuner
 	f436  AVerTV Hybrid+FM
 1462  Micro-Star International Co., Ltd.
-	5501  nVidia NV15DDR [GeForce2 Ti]
-	6819  Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller [MSI CB54G]
-	6825  PCI Card wireless 11g [PC54G]
-	6834  RaLink RT2500 802.11g [PC54G2]
-	7125  MS-7125 [K8N Neo4 Platinum]
-	7235  P965 Neo MS-7235 mainboard
-	7242  K9AGM RS485 Motherboard
-	7250  MS-7250 Motherboard [K9N Platinum SLI/non-SLI]
-	7327  K9AGM2-FIH Motherboard
-	7650  Hetis 865GV-E (MS-7065)
-	8725  NVIDIA NV25 [GeForce4 Ti 4600] VGA Adapter
-	9000  NVIDIA NV28 [GeForce4 Ti 4800] VGA Adapter
-	9110  GeFORCE FX5200
-	9119  NVIDIA NV31 [GeForce FX 5600XT] VGA Adapter
-	9123  NVIDIA NV31 [GeForce FX 5600] FX5600-VTDR128 [MS-8912]
-	9510  Radeon 9600XT
-	9511  Radeon 9600XT
-	9591  nVidia Corporation NV36 [GeForce FX 5700LE]
-	b834  Wireless 11g Turbo G PCI card [MSI PC60G]
 1463  Fast Corporation
 1464  Interactive Circuits & Systems Ltd
 1465  GN NETTEST Telecom DIV.
@@ -12598,6 +12962,7 @@
 		1028 01c2  Latitude D620
 		103c 3015  PCIe LAN on Motherboard
 		107b 5048  E4500 Onboard
+		1259 2705  AT-2711FX
 	1601  NetXtreme BCM5752M Gigabit Ethernet PCI Express
 	1612  BCM70012 Video Decoder [Crystal HD]
 	1615  BCM70015 Video Decoder [Crystal HD]
@@ -12812,6 +13177,8 @@
 	1685  NetXtreme II BCM57500S Gigabit Ethernet
 	1686  NetXtreme BCM57766 Gigabit Ethernet PCIe
 	1687  NetXtreme BCM5762 Gigabit Ethernet PCIe
+	1688  NetXtreme BCM5761 10/100/1000BASE-T Ethernet
+		1259 2708  AT-2712 FX
 # The Broadcom 57800 device has two 1Gig ports and two 10Gig ports. The subsystem information can be used to differentiate.
 	168a  NetXtreme II BCM57800 1/10 Gigabit Ethernet
 		1028 1f5c  BCM57800 10-Gigabit Ethernet
@@ -12914,6 +13281,7 @@
 		14e4 0009  NetXtreme BCM5703 1000Base-T
 		14e4 000a  NetXtreme BCM5703 1000Base-SX
 	16dd  NetLink BCM5781 Gigabit Ethernet PCI Express
+	16f3  NetXtreme BCM5727 Gigabit Ethernet PCIe
 	16f7  NetXtreme BCM5753 Gigabit Ethernet PCI Express
 	16fd  NetXtreme BCM5753M Gigabit Ethernet PCI Express
 		103c 309f  Compaq nx9420 Notebook
@@ -13146,7 +13514,10 @@
 	5840  BCM5840 Crypto Accelerator
 	5841  BCM5841 Crypto Accelerator
 	5850  BCM5850 Crypto Accelerator
+	b302  BCM56302 StrataXGS 24x1GE 2x10GE Switch Controller
+	b334  BCM56334 StrataXGS 24x1GE 4x10GE Switch Controller
 	b800  BCM56800 StrataXGS 10GE Switch Controller
+	b842  BCM56842 Trident 10GE Switch Controller
 14e5  Pixelfusion Ltd
 14e6  SHINING Technology Inc
 14e7  3CX
@@ -13299,8 +13670,6 @@
 	2464  HSF 56k Data/Fax/Voice Modem (Mob SmartDAA)
 	2465  HSF 56k Data/Fax/Voice/Spkp (w/HS) Modem (Mob SmartDAA)
 	2466  HSF 56k Data/Fax/Voice/Spkp Modem (Mob SmartDAA)
-	2bfa  D110 HDAudio Soft Data Fax Modem with SmartCP
-		1025 0009  Aspire 5622WLMi
 	2f00  HSF 56k HSFi Modem
 		13e0 8d84  IBM HSFi V.90
 		13e0 8d85  Compaq Stinger
@@ -13313,9 +13682,6 @@
 	2f30  SoftV92 SpeakerPhone SoftRing Modem with SmartSP
 		14f1 2014  Devolo MikroLink 56K Modem PCI
 	2f50  Conexant SoftK56 Data/Fax Modem
-	5045  CX20549 (Venice)
-	5047  High Definition Audio [Waikiki]
-	5051  High Definition Audio (HERMOSA)
 	5b7a  CX23418 Single-Chip MPEG-2 Encoder with Integrated Analog Video/Broadcast Audio Decoder
 		0070 7444  WinTV HVR-1600
 		5854 3343  GoTView PCI DVD3 Hybrid
